Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Interface PropertySetManager

All Superinterfaces
  javax.ejb.EJBObject, Remote

    public interface PropertySetManager

extends javax.ejb.EJBObject

PropertySetManager is a stateless session bean that provides access to property sets, through PropertySetRepositories. It also provides translation between XML and property set objects for use in the data synchronization framework.

See Also
  `PropertySet`
  This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`PropertySet` | `getPropertySet(String type, String name)` Get the PropertySet identified by the given type and name
`String[]` | `getPropertySetNames(String type)` Get all PropertySet names for a given type
`Map` | `getPropertySets(String type)` Get all PropertySets of a given type
`Map` | `getPropertySets(String type, String uriFilter)` Get all PropertySets of a filtered, given type
`String` | `getPropertySetXml(String type, String name)` Retrieve the XML representation of a property set

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPropertySet

    PropertySet getPropertySet(String type,
                               String name)
                               throws RemoteException

  Get the PropertySet identified by the given type and name

  Parameters
    `type` - the PropertySetType
    `name` - the name of the PropertySet
  Returns
    the PropertySet, or null if it is not found
  Throws
    `RemoteException`

### getPropertySetNames

    String[] getPropertySetNames(String type)
                                 throws RemoteException

  Get all PropertySet names for a given type

  Parameters
    `type` - the PropertySetType to retrieve the PropertySet names for
  Returns
    a String array of the PropertySet names
  Throws
    `RemoteException`

### getPropertySets

    Map getPropertySets(String type)
                        throws RemoteException

  Get all PropertySets of a given type

  Parameters
    `type` - the PropertySetType to retrieve
  Returns
    a map of name, PropertySet object pairs, or null if none are defined
  Throws
    `RemoteException`

### getPropertySets

    Map getPropertySets(String type,
                        String uriFilter)
                        throws RemoteException

  Get all PropertySets of a filtered, given type

  Parameters
    `type` - the PropertySetType to retrieve
    `uriFilter` - the property set uri string results must contain
  Returns
    a map of name, PropertySet object pairs, or null if none are defined
  Throws
    `RemoteException`

### getPropertySetXml

    String getPropertySetXml(String type,
                             String name)
                             throws RemoteException

  Retrieve the XML representation of a property set

  Parameters
    `type` - the PropertySet type
    `name` - the name of the PropertySet to retrieve
  Returns
    the XML representation of that PropertySet
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved